#
# Sort-MODIS
# Written by: M. Pamfilov, M. Dubinin
# Copyright: GIS-Lab.info. More info: http://gis-lab.info/qa/modisimport-tool.html
# Sort MODIS, automatically create folders like A2000073 and move MODIS data to them
# Arguments: indir outdir, 
# indir - folder with all MODIS HDFs
# outdir - folder in which new folders will be created and data moved
#

#!Perl.exe -w

use File::Copy;

opendir (INPUTDIR, $ARGV[0])|| die "no inputdir?: $!";
opendir (OUTDIR, $ARGV[1])|| die "no outdir?: $!";

print ("Reading from $ARGV[0], writing to $ARGV[1]\n");

@files = readdir (INPUTDIR);

foreach $cfile (@files) {
	if ($cfile =~ /A200/)
	{
	$newdirname = $cfile;
        print("Processing $cfile", "\n");
	$newdirname =~ s/^.*?\.//;
	$newdirname =~ s/\..*$//;
	chdir ($ARGV[1]);
	mkdir ("$newdirname", "0777");
	$infilefull  = join ("", $ARGV[0] , "\\", $cfile );
	$outfilefull = join ("", $ARGV[1] , "\\", $newdirname, "\\", $cfile );

	move ($infilefull, $outfilefull);
	}
}

close OUTDIR;
closedir INPUTDIR;